<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="compte">
            <h2><span jhiTranslate="apiformationApp.compte.detail.title">Compte</span> {{ compte.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="apiformationApp.compte.nom">Nom</span></dt>
                <dd>
                    <span>{{ compte.nom }}</span>
                </dd>
                <dt><span jhiTranslate="apiformationApp.compte.numero">Numero</span></dt>
                <dd>
                    <span>{{ compte.numero }}</span>
                </dd>
                <dt><span jhiTranslate="apiformationApp.compte.solde">Solde</span></dt>
                <dd>
                    <span>{{ compte.solde }}</span>
                </dd>
                <dt><span jhiTranslate="apiformationApp.compte.client">Client</span></dt>
                <dd>
                    <div *ngIf="compte.clientId">
                        <a [routerLink]="['/client', compte.clientId, 'view']">{{ compte.clientId }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/compte', compte.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
